astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- JointFitter

# JointFitter

class `astropy.modeling.fitting.``JointFitter`(models, jointparameters, initvals)

  Bases: `object`

  Fit models which share a parameter.

  For example, fit two gaussians to two data sets but keep the FWHM the same.

  Parameters:

  models : list

  > a list of model instances

  jointparameters : list

  > a list of joint parameters

  initvals : list

  > a list of initial values

  Methods Summary

  `errorfunc`(fps, *args) | fps : list

  Methods Documentation

  `errorfunc`(fps, *args)
    fps : list
      the fitted parameters - result of an one iteration of the fitting algorithm
    args : dict
      tuple of measured and input coordinates args is always passed as a tuple from optimize.leastsq